> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theauthapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post projects



## OpenAPI

````yaml post /projects
openapi: 3.0.0
info:
  title: Auth API
  description: Auth API swagger spec
  version: 0.3.4
  contact: {}
servers:
  - url: https://api.theauthapi.com
security: []
tags:
  - name: auth_api_v1
    description: ''
paths:
  /projects:
    post:
      operationId: projectsController_createProject
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectDTO'
      responses:
        '201':
          description: ''
components:
  schemas:
    CreateProjectDTO:
      type: object
      properties:
        name:
          type: string
        accountId:
          type: string
        env:
          type: string
      required:
        - name
        - accountId
        - env

````